- Main Page
- Namespaces
- Classes
- Files
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exiv2::StringValue Class Reference

Value for string type. More...

`#include <value.hpp>`

Inheritance diagram for Exiv2::StringValue:

[legend]
Collaboration diagram for Exiv2::StringValue:

[legend]
List of all members.

## Public Types
typedef std::auto_ptr< StringValue > | AutoPtr
| Shortcut for a StringValue auto pointer.
## Public Member Functions
Creators
| StringValue ()
| Default constructor.
| StringValue (const std::string &buf)
| Constructor.
| StringValue (const StringValue &rhs)
| Copy constructor.
virtual | ~StringValue ()
| Virtual destructor.
Manipulators
StringValue & | operator= (const StringValue &rhs)
Accessors
AutoPtr | clone () const
| Return an auto-pointer to a copy of itself (deep copy). The caller owns this copy and the auto-pointer ensures that it will be deleted.

## Detailed Description

Value for string type.

This can be a plain Ascii string or a multipe byte encoded string. It is left to caller to decode and encode the string to and from readable text if that is required.

Examples:

  iptceasy.cpp.

The documentation for this class was generated from the following files:

- value.hpp
- value.cpp